# openstack.block_storage.v3.group_type

## The GroupType Class

The `GroupType` class inherits from `Resource`.

class openstack.block_storage.v3.group_type.GroupType(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'group_type'

    Singular form of key for resource.

  resources_key = 'group_types'

    Plural form of key for resource.

  base_path = '/group_types'

    The base part of the URI for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_commit = True

    Allow update operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  description

    Properties The group type description.

  group_specs

    Contains the specifications for a group type.

  is_public

    Whether the group type is publicly visible.

  fetch_group_specs(session)

    Fetch group_specs of the group type.

    These are returned by default if the user has suitable permissions (i.e. you’re an admin) but by default you also need the same permissions to access this API. That means this function is kind of useless. However, that is how the API was designed and it is theoretically possible that people will have modified their policy to allow this but not the other so we provide this anyway.

    Parameters:

      session – The session to use for making this request.

    Returns:

      An updated version of this object.

  create_group_specs(session, specs)

    Creates group specs for the group type.

    This will override whatever specs are already present on the group type.

    Parameters:

      - session – The session to use for making this request.

      - specs – A dict of group specs to set on the group type.

    Returns:

      An updated version of this object.

  get_group_specs_property(session, prop)

    Retrieve a group spec property of the group type.

    Parameters:

      - session – The session to use for making this request.

      - prop – The name of the group spec property to update.

    Returns:

      The value of the group spec property.

  update_group_specs_property(session, prop, val)

    Update a group spec property of the group type.

    Parameters:

      - session – The session to use for making this request.

      - prop – The name of the group spec property to update.

      - val – The value to set for the group spec property.

    Returns:

      The updated value of the group spec property.

  delete_group_specs_property(session, prop)

    Delete a group spec property from the group type.

    Parameters:

      - session – The session to use for making this request.

      - prop – The name of the group spec property to delete.

    Returns:

      None

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.